org.apache.sysds.runtime.compress

## Class CompressionStatistics

- java.lang.Object
- - org.apache.sysds.runtime.compress.CompressionStatistics

-     public class CompressionStatistics
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `estimatedSizeColGroups`
    `long` | `estimatedSizeCols`
    `long` | `originalSize`
    `double` | `ratio`
    `long` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressionStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<ColGroup.CompressionType,int[]>` | `getColGroups()`
    `String` | `getGroupsSizesString()`
    `String` | `getGroupsTypesString()`
    `double` | `getLastTimePhase()`
    `ArrayList<Double>` | `getTimeArrayList()`
    `void` | `setColGroupsCounts(List<ColGroup> colGroups)` Set array of counts regarding col group types.
    `void` | `setNextTimePhase(double time)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ratio

          public double ratio

    - #### originalSize

          public long originalSize

    - #### estimatedSizeColGroups

          public long estimatedSizeColGroups

    - #### estimatedSizeCols

          public long estimatedSizeCols

    - #### size

          public long size

  - ### Constructor Detail

    - #### CompressionStatistics

          public CompressionStatistics()

  - ### Method Detail

    - #### setNextTimePhase

          public void setNextTimePhase(double time)

    - #### getLastTimePhase

          public double getLastTimePhase()

    - #### setColGroupsCounts

          public void setColGroupsCounts(List<ColGroup> colGroups)

      Set array of counts regarding col group types. The position corresponds with the enum ordinal.
      Parameters:
        `colGroups` - list of ColGroups used in compression.

    - #### getColGroups

          public Map<ColGroup.CompressionType,int[]> getColGroups()

    - #### getTimeArrayList

          public ArrayList<Double> getTimeArrayList()

    - #### getGroupsTypesString

          public String getGroupsTypesString()

    - #### getGroupsSizesString

          public String getGroupsSizesString()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 The Apache Software Foundation. All rights reserved.